Package commoble.looot.data

# Class EnchantmentNameLimits

java.lang.Object
commoble.looot.data.EnchantmentNameLimits

public class EnchantmentNameLimits extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<EnchantmentNameLimits>`
`CODEC`

## Constructor Summary

Constructors
Constructor
Description
`EnchantmentNameLimits(boolean replace, Map<net.minecraft.world.item.enchantment.Enchantment,Integer> values)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getReplace()`
`Map<net.minecraft.world.item.enchantment.Enchantment,Integer>`
`getValues()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CODEC

public static final com.mojang.serialization.Codec<EnchantmentNameLimits> CODEC

## Constructor Details

### EnchantmentNameLimits

public EnchantmentNameLimits(boolean replace, Map<net.minecraft.world.item.enchantment.Enchantment,Integer> values)

## Method Details

### getReplace

public boolean getReplace()

### getValues

public Map<net.minecraft.world.item.enchantment.Enchantment,Integer> getValues()